# uproot.interpretation.strings.StringArray

Defined in uproot.interpretation.strings on line 484.

class uproot.interpretation.strings.StringArray(offsets, content)
  Parameters:

    - offsets (array of `numpy.int32`) – Starting and stopping indexes for each string. The length of the `offsets` is one greater than the number of strings.

    - content (array) – Contiguous array of character data for all strings of the array.

  Temporary array filled by basket_array, which will be turned into a NumPy, Awkward, or other array, depending on the specified uproot.interpretation.library.Library.

## offsets

StringArray.offsets

  Starting and stopping indexes for each string. The length of the `offsets` is one greater than the number of strings.

## content

StringArray.content

  Contiguous array of character data for all strings of the array.